Subject: Status messages using pap

From: [email-masked]
Date: Wed, 15 Apr 92 11:58:14 BST

I have installed Netatalk on a Sun 4 and have been using it to
print to LaserWriters conencted to various Macs. All seems to work
fine (many thanks to the developers). However, I do get some
"permission denied" messages during the communication between the
Sun and the Macs when I use pap to print jobs on the Mac printers.
A typical sequence is as follows:

neil$ tail lpd-errs
ifpap[262]: sending to pap
pap[263]: connecting to LaserWriter II NT:LaserWriter@bronze: status: busy
status[263]: Permission denied
pap[263]: starting session
status[263]: Permission denied
status[263]: Permission denied
status[263]: Permission denied
pap[263]: successful session
ifpap[262]: 263 done
ofpap[258]: done
neil$

I was wondering what causes these messages. As I say, the job eventually
prints OK but I would like to know why I get the messages and whether
I should change ownerships on any of the Unix files.

My etc/printcap entry is:

at3:\
	:lp=/dev/console:lf=/usr/adm/lpd-errs:pw#80:\
	:sd=/var/spool/at3:mx#0:sf:\
	:of=/usr/local/atalk/etc/ofpap:\
	:if=/usr/local/atalk/etc/ifpap:

and in /var/spool/at3 I have the following .paprc entry:
LaserWriter II NT:LaserWriter@bronze

pap and psf are owned by me (plain user) with no setuids or anything.

Any suggestions welcomed. Thanks.
  Neil Calton

--
Neil Calton                          UUCP:   ..!mcsun!ukc!rlinf!nbc
Informatics Department,              NSFNET: [email-masked]
Rutherford Appleton Laboratory,      BITNET: nbc%uk.ac.rl.inf@ukacrl
Chilton, Didcot, Oxon,  OX11 0QX     JANET:     [email-masked]
England                              Tel: +44 235 44 5740  Fax: +44 235 44 5831